- Qt 6.7
- Qt 3D
- C++ Classes
- Qt3DRender
- QRenderCapture
- Qt 6.7.3 Reference Documentation

# Obsolete Members for QRenderCapture

The following members of class QRenderCapture are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` Qt3DRender::QRenderCaptureReply * | requestCapture(int captureId)

## Member Function Documentation

### `[deprecated]` Qt3DRender::QRenderCaptureReply *QRenderCapture::requestCapture(int captureId)

This function is deprecated. We strongly advise against using it in new code.

Used to request render capture. User can specify a captureId to identify the request. The requestId does not have to be unique. Only one render capture result is produced per requestCapture call even if the frame graph has multiple leaf nodes. The function returns a QRenderCaptureReply object, which receives the captured image when it is done. The user is responsible for deallocating the returned object by calling deleteLater().